Bug 108369 - ntpd-4.2.0 dies immediately after start
ntpd-4.2.0 dies immediately after start
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ntp (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
Brian Brock
:
Depends On:
Blocks: 107629
  Show dependency treegraph
 
Reported: 2003-10-28 14:59 EST by Markku Kolkka
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-05 10:49:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markku Kolkka 2003-10-28 14:59:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031027

Description of problem:
Ntp appears to start normally, but when queried with ntpq or ntpstat there's no
answer from the ntpd daemon. "ps ax" doesn't show ntpd running and "service ntpd
status" shows:
"ntpd dead but pid file exists"

Running ntpd from the command line with -d option gives:
# ntpd -d -U ntp -p /var/run/ntpd.pid
ntpd 4.2.0@1.1161-r Mon Oct 27 10:28:19 EST 2003 (1)
addto_syslog: ntpd 4.2.0@1.1161-r Mon Oct 27 10:28:19 EST 2003 (1)
addto_syslog: signal_no_reset: signal 13 had flags 4000000
addto_syslog: precision = 1.000 usec
create_sockets(123)
addto_syslog: no IPv6 interfaces found
bind() fd 4, family 2, port 123, addr 0.0.0.0, flags=8
bind() fd 5, family 2, port 123, addr 127.0.0.1, flags=0
bind() fd 6, family 2, port 123, addr 192.168.1.2, flags=8
init_io: maxactivefd 6
local_clock: at 0 state 0
key_expire: at 0
peer_clear: at 0 assoc ID 15580 refid INIT
newpeer: 192.168.1.2->194.100.21.226 mode 3 vers 4 poll 6 10 flags 0x1 0x1 ttl 0
key 00000000
Muistialueen ylitys

The last line is Finnish for "segmentation fault". 

Version-Release number of selected component (if applicable):
ntp-4.2.0-1

How reproducible:
Always

Steps to Reproduce:
1. service ntpd start
2.
3.
    

Actual Results:  ntpd crashes

Expected Results:  ntpd runs and synchronizes time

Additional info:
Comment 1 Harald Hoyer 2003-10-29 06:20:01 EST
reverted to version 4.1.2
Comment 2 Ralf Corsepius 2003-10-31 13:42:25 EST
I am seeing a similar breakdown with 4.2.0-2 and 
kernel-2.4.22-1.2115.nptl:

# ntpd -U ntp -D 1 -p /var/run/ntpd.pid
Debug1: 1 -> 1 = 1
ntpd 4.2.0@1.1161-r Tue Oct 28 05:43:36 EST 2003 (1)
Debug1: 1 -> 1 = 1
addto_syslog: ntpd 4.2.0@1.1161-r Tue Oct 28 05:43:36 EST 2003 (1)
addto_syslog: signal_no_reset: signal 13 had flags 4000000
addto_syslog: precision = 1.000 usec
create_sockets(123)
addto_syslog: no IPv6 interfaces found
bind() fd 4, family 2, port 123, addr 0.0.0.0, flags=8
bind() fd 5, family 2, port 123, addr 127.0.0.1, flags=0
bind() fd 6, family 2, port 123, addr 192.168.1.100, flags=8
init_io: maxactivefd 6
local_clock: at 0 state 0
Debug2: 1 -> 1 = 1
Segmentation fault

Using the latest RH-9 kernel-2.4.20-20.9 instead of *-2115, on the same machine,
with an otherwise unchanged setup this segfault does not occur.
Comment 3 Miloslav Trmac 2003-11-28 12:45:33 EST
I could reproduce this a few days ago, but can't anymore, no idea why.
kernel-2.4.22-1.2115.nptl
glibc-2.3.2-101.1
ntp-4.2.0-2

Note You need to log in before you can comment on or make changes to this bug.